<?php
namespace Magento\Paypal\Block\Payflow\Bml\Form;

/**
 * Interceptor class for @see \Magento\Paypal\Block\Payflow\Bml\Form
 */
class Interceptor extends \Magento\Paypal\Block\Payflow\Bml\Form implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Paypal\Model\ConfigFactory $paypalConfigFactory, \Magento\Framework\Locale\ResolverInterface $localeResolver, \Magento\Paypal\Helper\Data $paypalData, \Magento\Customer\Helper\Session\CurrentCustomer $currentCustomer, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $paypalConfigFactory, $localeResolver, $paypalData, $currentCustomer, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
